[PC-BSD Testing] Prima perl module fails to install on Aug29 snapshot

sc at sdf.lonestar.org sc at sdf.lonestar.org
Wed Aug 29 23:46:49 PDT 2007


The Prima-1.22 perl module, which I need to use, won't install on today's
(Wed Aug 29) snapshot. It did install and work normally up through the Wed
Aug 22 snapshot, which was the last previous snapshot that I installed.
Today's installation was an upgrade, and Aug 22's was a fresh install.

Here's what "make install" says when it quits:
...
Installing Prima/Gencls.pm -> /usr/local/lib/perl5/site_perl/5.8.8/mach/Prima
Installing Prima/ImageViewer.pm ->
/usr/local/lib/perl5/site_perl/5.8.8/mach/Prima
Installing include/generic/AbstractMenu.h ->
/usr/local/lib/perl5/site_perl/5.8.8/mach/Prima/CORE/generic
Even number of parameters expected at Makefile.PL line 1854.
*** Error code 255

Here, line 1854 is the "die qq(Even number of parameters" line:
if ( $#ARGV >= 0 && $ARGV[ 0] =~ /^\-\-cp(bin)?$/) {
        my $isbin = defined $1;
        shift @ARGV;
        die qq(Even number of parameters expected) unless ( $#ARGV % 2);

What's different about anything relevant to this, in this snapshot? The
Perl  included in it was built on August 25. Being the clueless
semi-technical doofus that I am, I reinstalled perl5.8 from ports to see
what would happen. (Perl built with one error, in crypto, but still
wouldn't install the Prima module.) The module itself is identical to
before. Any clues, anyone?

-rsc




More information about the Testing mailing list